/Users/bernard/b20/bsoft/include/qsort_functions.h(3)

NAME
/Users/bernard/b20/bsoft/include/qsort_functions.h - Header file for utility functions for use in qsort calls.

SYNOPSIS

  Classes
struct int_float

  Functions
int QsortSmallToLargeFloat (const void *x, const void *y)
Utility function for sorting floating point values in qsort.
int QsortLargeToSmallFloat (const void *x, const void *y)
Utility function for sorting floating point values in qsort.
int QsortSmallToLargeDouble (const void *x, const void *y)
Utility function for sorting double precision floating point values in qsort.
int QsortLargeToSmallDouble (const void *x, const void *y)
Utility function for sorting double precision floating point values in qsort.
int QsortSmallToLargeIntFloat (const void *x, const void *y)
Utility function for sorting int float pairs in qsort.
int QsortLargeToSmallIntFloat (const void *x, const void *y)
Utility function for sorting int float pairs in qsort.

Detailed Description

Header file for utility functions for use in qsort calls.

Author:
    Bernard Heymann

Date:
    Created: 20010516

    Modified: 20100724

Definition in file qsort_functions.h.

Function Documentation

  int QsortLargeToSmallDouble (const void * x, const void * y)

Utility function for sorting double precision floating point values in qsort.

Parameters:
    *x first floating point value.
    *y second floating point value.

Returns:
    -1 if x > y and 1 otherwise.

Definition at line 59 of file qsort_functions.cpp.

  int QsortLargeToSmallFloat (const void * x, const void * y)

Utility function for sorting floating point values in qsort.

Parameters:
    *x first floating point value.
    *y second floating point value.

Returns:
    -1 if x > y and 1 otherwise.

Definition at line 31 of file qsort_functions.cpp.

  int QsortLargeToSmallIntFloat (const void * x, const void * y)

Utility function for sorting int float pairs in qsort.

Parameters:
    *x first pair.
    *y second pair.

Returns:
    -1 if x > y, 1 if x < y, and 0 otherwise.

Definition at line 89 of file qsort_functions.cpp.

  int QsortSmallToLargeDouble (const void * x, const void * y)

Utility function for sorting double precision floating point values in qsort.

Parameters:
    *x first floating point value.
    *y second floating point value.

Returns:
    -1 if x < y and 1 otherwise.

Definition at line 45 of file qsort_functions.cpp.

  int QsortSmallToLargeFloat (const void * x, const void * y)

Utility function for sorting floating point values in qsort.

Parameters:
    *x first floating point value.
    *y second floating point value.

Returns:
    -1 if x < y and 1 otherwise.

Definition at line 17 of file qsort_functions.cpp.

  int QsortSmallToLargeIntFloat (const void * x, const void * y)

Utility function for sorting int float pairs in qsort.

Parameters:
    *x first pair.
    *y second pair.

Returns:
    -1 if x < y, 1 if x > y, and 0 otherwise.

Definition at line 73 of file qsort_functions.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.